### Method

# Ide SessionAddin can_save_page

#### Declaration

    gboolean
    ide_session_addin_can_save_page (
      IdeSessionAddin* self,
      IdePage* page
    )

#### Description

Checks whether `self` supports saving `page`. This is typically done by checking for its GObject type using `FOO_IS_BAR_PAGE ()` for page types defined in the plugin. In practice it means that this `self` addin supports all the different vfuncs for this `page`.

Available since: | 41

#### Parameters

`page` | `IdePage`
| An `IdePage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether `self` supports saving `page`.